## openldap 2.6.9%2Bdfsg

=== contrib/slapd-modules/alias/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2023 The OpenLDAP Foundation.
# Copyright 2023 Ondřej Kuzník, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
SRCDIR = ./
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap/libldap.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

PLAT = UNIX
NT_LIB = -L$(LDAP_BUILD)/servers/slapd -lslapd
NT_LDFLAGS = -no-undefined -avoid-version
UNIX_LDFLAGS = -version-info $(LTVER)

LIBTOOL = $(LDAP_BUILD)/libtool
INSTALL = /usr/bin/install
CC = gcc
OPT = -g -O2
DEFS = -DSLAPD_OVER_ALIAS=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $($(PLAT)_LIB) $(LDAP_LIB)
LD_FLAGS = $(LDFLAGS) $($(PLAT)_LDFLAGS) -rpath $(moduledir) -module

PROGRAMS = alias.la
MANPAGES = slapo-alias.5
CLEAN = *.o *.lo *.la .libs
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)
mandir = $(exec_prefix)/share/man
man5dir = $(mandir)/man5

all: $(PROGRAMS)

d :=
sp :=
dir := tests
include $(dir)/Rules.mk

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(OPT) $(CPPFLAGS) $(DEFS) $(INCS) -c $<

alias.la: alias.lo
	$(LIBTOOL) --mode=link $(CC) $(LD_FLAGS) -o $@ $? $(LIBS)

clean:
	rm -rf $(CLEAN)

install: install-lib install-man FORCE

install-lib: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

install-man: $(MANPAGES)
	mkdir -p  $(DESTDIR)$(man5dir)
	$(INSTALL) -m 644 $(MANPAGES) $(DESTDIR)$(man5dir)

FORCE:

=== debian/changelog ===
openldap (2.6.9+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * d/slapd.preinst: Back up config as LDIF before transitioning to OpenSSL.
  * d/NEWS, d/slapd.README.Debian:
    - Announce the switch to OpenSSL.
    - Document behaviour and config settings affected by the change.
  * d/control: Declare Standards-Version: 4.7.0.
  * d/slapd.service: Delete After=syslog.target. Fixes a Lintian warning
    (systemd-service-file-refers-to-obsolete-target).
  * Disable flaky tests test063-delta-multiprovider and
    test069-delta-multiprovider-starttls. Mitigates #1010608.
  * d/rules: Delete override_dh_auto_build target, so that -indep/-arch are
    actually used. See #1014334.
  * d/slapd.init:
    - Fix status_of_proc pidfile argument.
    - Fix olcPidFile regexp.
  * d/control: Remove inactive team members from Uploaders. Thanks to Torsten
    and Steve for their many past contributions.
  * d/gbp.conf: Return to master branch.

 -- Ryan Tandy <ryan@nardis.ca>  Tue, 14 Jan 2025 18:30:51 -0800

openldap (2.6.9+dfsg-1~exp2) experimental; urgency=medium

  [ Ryan Tandy ]
  * Change TLS library from GnuTLS to OpenSSL.
    - d/control: Replace Build-Depends: libgnutls28-dev, nettle-dev with
      libssl-dev.
    - d/configure.options: Configure --with-tls=openssl.
    - d/p/contrib-makefiles: Drop changes to pbkdf2 and smbk5pwd to use
      nettle.
    - d/p/add-tlscacert-option-to-ldap-conf: Drop patch since the OpenSSL
      backend activates the default CAs automatically.
    - d/p/ldap-conf-tls-cacertdir: Drop patch since GnuTLS caveats are no
      longer applicable.
    - d/slapd.README.Debian: Drop GnuTLS caveat.

  [ Michael Tokarev ]
  * d/control: remove very old (before buster) versioned depends/conflicts
  * d/libldap2.README.Debian: remove: umounting /usr is not very interesting
    in 2025 (see also #182536)
  * remove ldiftopasswd script (it is a rather dangerous example to carry on)
  * d/slapd.scripts-common,d/debian/slapd.postinst: do not create
    /var/run/slapd (created in the startup script)
  * d/slapd.init: stop providing /var/run/slapd/ldapi symlink for compatibility
    with openldap 2.1
  * d/slapd.init: simplify it significantly
  * d/configure-options: enable systemd support (Closes: #1039299 #877512)
  * d/slapd.default, d/slapd.init: do not use "export" keyword in the default
    file (so it is processed by systemd), but export KRB5_KTNAME in init if set
  * d/rules: fix $? usage in clean target
  * d/rules: stop overriding dh_missing --fail-missing: it is the default
    in dh-compat 13+
  * d/rules: only do actual work in arch-dependent build
  * d/control: add myself to Uploaders
  * d/rules: add -Wno-unused-const-variable to CFLAGS
  * d/rules: add LC_ALL=C for the build rule
  * d/rules: add slapdS.c to blhc ignore-line
  * d/libldap-dev.links: stop generating it, dh is capable to expand variables
  * d/rules: fix override_dh_makeshlibs & override_dh_installdeb conditionals
  * d/slapd.preinst: remove stopping of slapd
    (#989155 in debhelper has been fixed)
  * d/rules: build flags & build tools
  * d/rules: simplify noslapd build-profile expressions by using noslapd var
  * d/rules: export DEB_MAINTAINER only once

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 08 Jan 2025 21:02:34 +0300

openldap (2.6.9+dfsg-1~exp1) experimental; urgency=medium

  [ Carles Pina i Estany ]
  * Update po-debconf Catalan translation

  [ Ryan Tandy ]
  * New upstream release.
    - Update patch 64-bit-time-t-compat.patch.
    - Drop ITS#10253 patch, applied upstream.
  * Apply patch from Helmut Grohne to fix cross-building ppm.
    (Closes: #1079533)

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 23 Dec 2024 12:07:55 -0800

openldap (2.5.19+dfsg-1) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Update po-debconf Catalan translation

  [ Ryan Tandy ]
  * New upstream release.
    - Drop ITS#10221 and ITS#10253 patches, applied upstream.
  * Apply patch from Helmut Grohne to fix cross-building ppm.
    (Closes: #1079533)

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 23 Dec 2024 12:05:58 -0800

openldap (2.5.18+dfsg-3) unstable; urgency=medium

  * Fix FTBFS on 32-bit architectures. (ITS#10253) (Closes: #1078822)

 -- Ryan Tandy <ryan@nardis.ca>  Wed, 21 Aug 2024 20:38:08 -0700

openldap (2.5.18+dfsg-2) unstable; urgency=medium

  * Apply upstream patch to fix back-perl linking with libperl.
    (ITS#10221, LP: #2072976)
  * Add a superficial autopkgtest to ensure back_perl can be loaded.

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 14 Jul 2024 14:37:43 -0700

openldap (2.5.18+dfsg-1) unstable; urgency=medium

  [ Ryan Tandy ]
  * New upstream release.
  * Drop patch smbk5pwd-implicit-declaration, applied upstream.

  [ Sergio Durigan Junior ]
  * d/control: B-D on pkgconf instead of pkg-config.

  [ Helmut Grohne ]
  * Move systemd drop-in to /usr (DEP17). (Closes: #1073059)

 -- Ryan Tandy <ryan@nardis.ca>  Wed, 12 Jun 2024 19:23:12 -0700

=== debian/control ===
Source: openldap
Section: net
Priority: optional
Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Uploaders: Ryan Tandy <ryan@nardis.ca>,
 Sergio Durigan Junior <sergiodj@debian.org>,
 Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper-compat (= 13),
               groff-base,
               heimdal-multidev <!pkg.openldap.noslapd>,
               libargon2-dev <!pkg.openldap.noslapd>,
               libcrack2-dev <!pkg.openldap.noslapd>,
               libltdl-dev <!pkg.openldap.noslapd>,
               libperl-dev <!pkg.openldap.noslapd>,
               libsasl2-dev,
               libssl-dev,
               libwrap0-dev <!pkg.openldap.noslapd>,
               openssl <!nocheck>,
               perl:any,
               pkgconf,
               po-debconf,
               unixodbc-dev <!pkg.openldap.noslapd>,
# Needed for SASL/GSSAPI tests
               krb5-admin-server <!nocheck>,
               krb5-user <!nocheck>,
               krb5-kdc <!nocheck>,
               libsasl2-modules-gssapi-mit <!nocheck>,
               sasl2-bin <!nocheck>,
Build-Conflicts: libbind-dev, autoconf2.13
Standards-Version: 4.7.0
Homepage: https://www.openldap.org/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/openldap-team/openldap.git
Vcs-Browser: https://salsa.debian.org/openldap-team/openldap

Package: slapd
Architecture: any
Build-Profiles: <!pkg.openldap.noslapd>
Pre-Depends: debconf, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, libldap2 (= ${binary:Version}),
 psmisc,
 adduser, ${misc:Depends}
Recommends: ldap-utils
Suggests: libsasl2-modules,
 libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: ldap-server
Provides: ldap-server, ${slapd:Provides}
Description: OpenLDAP server (slapd)
 This is the OpenLDAP (Lightweight Directory Access Protocol) server
 (slapd). The server can be used to provide a standalone directory
 service.

Package: slapd-contrib
Architecture: any
Build-Profiles: <!pkg.openldap.noslapd>
Depends: slapd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: slapd-smbk5pwd
Breaks: slapd-smbk5pwd (<< 2.4.47+dfsg-2~), slapd (<< 2.5.4+dfsg-1~)
Replaces: slapd-smbk5pwd (<< 2.4.47+dfsg-2~)
Description: contributed plugins for OpenLDAP slapd
 This package contains a number of slapd overlays and plugins contributed by
 the OpenLDAP community. While distributed as part of OpenLDAP Software, they
 are not necessarily supported by the OpenLDAP Project.

Package: ldap-utils
Architecture: any
Depends: ${shlibs:Depends}, libldap2 (= ${binary:Version}), ${misc:Depends}
Suggests: libsasl2-modules,
 libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: ldap-client
Provides: ldap-client, openldap-utils
Description: OpenLDAP utilities
 This package provides utilities from the OpenLDAP (Lightweight
 Directory Access Protocol) package. These utilities can access a
 local or remote LDAP server and contain all the client programs
 required to access LDAP servers.

Package: libldap2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libldap-common
Description: OpenLDAP libraries
 These are the run-time libraries for the OpenLDAP (Lightweight Directory
 Access Protocol) servers and clients.

Package: libldap-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: OpenLDAP common files for libraries
 These are common files for the run-time libraries for the OpenLDAP
 (Lightweight Directory Access Protocol) servers and clients.

Package: libldap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Provides: libldap2-dev
Breaks: libldap2-dev (<< 2.5.4+dfsg-1~)
Replaces: libldap2-dev (<< 2.5.4+dfsg-1~)
Depends: libldap2 (= ${binary:Version}), ${misc:Depends}
Description: OpenLDAP development libraries
 This package allows development of LDAP applications using the OpenLDAP
 libraries. It includes headers, libraries and links to allow static and
 dynamic linking.

Package: libldap2-dev
Section: oldlibs
Architecture: all
Depends: libldap-dev, ${misc:Depends}
Description: transitional package for libldap-dev
 This is a transitional package from libldap2-dev to libldap-dev. It can be
 safely removed.

Package: slapi-dev
Section: libdevel
Architecture: any
Build-Profiles: <!pkg.openldap.noslapd>
Depends: slapd (= ${binary:Version}), ${misc:Depends}
Description: development libraries for OpenLDAP SLAPI plugin interface
 This package allows development of plugins for the OpenLDAP slapd server
 using the SLAPI interface.  It includes the headers and libraries needed
 to build such plugins.

## openldap 2.6.9+dfsg

=== contrib/slapd-modules/passwd/totp/Makefile ===
# $OpenLDAP$

LDAP_SRC = ../../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap/libldap.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

PLAT = UNIX
NT_LIB = -L$(LDAP_BUILD)/servers/slapd -lslapd
NT_LDFLAGS = -no-undefined -avoid-version
UNIX_LDFLAGS = -version-info $(LTVER)

LIBTOOL = $(LDAP_BUILD)/libtool
INSTALL = /usr/bin/install
CC = gcc
OPT = -g -O2
DEFS = 
INCS = $(LDAP_INC)
LIBS = $($(PLAT)_LIB) $(LDAP_LIB)
LD_FLAGS = $(LDFLAGS) $($(PLAT)_LDFLAGS) -rpath $(moduledir) -module

PROGRAMS = pw-totp.la
MANPAGES = slapo-totp.5
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)
mandir = $(exec_prefix)/share/man
man5dir = $(mandir)/man5

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(CFLAGS) $(OPT) $(CPPFLAGS) $(DEFS) $(INCS) -c $<

all:		$(PROGRAMS)

pw-totp.la:	slapd-totp.lo
	$(LIBTOOL) --mode=link $(CC) $(LD_FLAGS) -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: install-lib install-man FORCE

install-lib: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

install-man: $(MANPAGES)
	mkdir -p  $(DESTDIR)$(man5dir)
	$(INSTALL) -m 644 $(MANPAGES) $(DESTDIR)$(man5dir)

FORCE:

=== debian/changelog ===
openldap (2.6.9+dfsg-1~exp2ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085260). Remaining changes:
    - Enable AppArmor support:
      + d/apparmor-profile: add AppArmor profile
      + d/rules: use dh_apparmor
      + d/control: Build-Depends on dh-apparmor
      + d/slapd.README.Debian: add note about AppArmor
    - Enable ufw support:
      + d/control: suggest ufw.
      + d/rules: install ufw profile.
      + d/slapd.ufw.profile: add ufw profile.
    - d/{rules,slapd.py}: Add apport hook.
    - d/t/smbk5pwd: Allow the openldap user to read the Heimdal master key in the
      smbk5pwd DEP8 test (LP #2004560)
      [ Partially incorporated by Debian. ]
    - d/control: make libldap2 depend on libldap-common. (LP #2063161)
  * Drop changes:
    - debian/rules: fix buildability under pkg.openldap.noslapd profile.
      [ Not needed anymore. ]

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 10 Jan 2025 16:55:16 -0500

openldap (2.6.8+dfsg-1~exp4ubuntu3) plucky; urgency=medium

  * No-change rebuild for perl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 21:35:40 +0200

openldap (2.6.8+dfsg-1~exp4ubuntu2) plucky; urgency=medium

  * No-change rebuild for libperl soname.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 20 Oct 2024 13:58:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,15 @@
 Source: openldap
 Section: net
 Priority: optional
-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
-Uploaders: Ryan Tandy <ryan@nardis.ca>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
+Uploaders: Steve Langasek <vorlon@debian.org>,
+ Torsten Landschoff <torsten@debian.org>,
+ Ryan Tandy <ryan@nardis.ca>,
  Sergio Durigan Junior <sergiodj@debian.org>,
  Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: debhelper-compat (= 13),
+               dh-apparmor,
                groff-base,
                heimdal-multidev <!pkg.openldap.noslapd>,
                libargon2-dev <!pkg.openldap.noslapd>,
@@ -27,7 +31,7 @@
                libsasl2-modules-gssapi-mit <!nocheck>,
                sasl2-bin <!nocheck>,
 Build-Conflicts: libbind-dev, autoconf2.13
-Standards-Version: 4.7.0
+Standards-Version: 4.6.2
 Homepage: https://www.openldap.org/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/openldap-team/openldap.git
@@ -41,7 +45,7 @@
  psmisc,
  adduser, ${misc:Depends}
 Recommends: ldap-utils
-Suggests: libsasl2-modules,
+Suggests: libsasl2-modules, ufw,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: ldap-server
 Provides: ldap-server, ${slapd:Provides}
@@ -80,8 +84,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libldap-common
+Depends: ${shlibs:Depends}, ${misc:Depends}, libldap-common
 Description: OpenLDAP libraries
  These are the run-time libraries for the OpenLDAP (Lightweight Directory
  Access Protocol) servers and clients.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND := -Wall -D_GNU_SOURCE -Wno-unused-const-variable
export DEB_BUILD_MAINT_OPTIONS := hardening=+all future=+lfs
DPKG_EXPORT_BUILD_TOOLS=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/pkg-info.mk

# Set this variable if you're building packages outside of Debian and don't
# want the checks for DFSG-freeness.
#DFSG_NONFREE = 1

# Expose maintainer address to build/mkversion (see debian/patches/set-maintainer-name)
export DEB_MAINTAINER ?= $(shell sed -ne 's/^Maintainer:\s\+//p' debian/control)

# Expose DEB_VERSION to build/version.sh (see debian/patches/debian-version)
export DEB_VERSION

# noslapd: empty (false) or non-empty (true)
noslapd := $(filter pkg.openldap.noslapd, ${DEB_BUILD_PROFILES})

# Workaround for bad glibc behavior when resolving localhost
export RESOLV_MULTI = off

CONFIG		= $(shell grep -v "^\#" debian/configure.options)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
	CONFIG += --disable-mdb
endif
ifneq (${noslapd},)
	CONFIG += --disable-slapd
endif

CONTRIB_MODULES = autogroup lastbind passwd passwd/pbkdf2 passwd/sha2 ppm smbk5pwd

installdir	:= $(CURDIR)/debian/tmp
builddir	:= $(CURDIR)/debian/build
slapddir	:= $(CURDIR)/debian/slapd/usr/sbin

# Standard variables used in contrib Makefiles.
# We override these in make invocations rather than patch every one.
CONTRIB_MAKEVARS := \
	LDAP_BUILD='$(builddir)' \
	OPT= \
	prefix=/usr \
	ldap_subdir=/ldap \
	moduledir='$$(libdir)$$(ldap_subdir)'

DH = dh $@ --builddirectory=$(builddir)
.PHONY: build
build:
	$(DH)
%:
	$(DH)

override_dh_auto_configure:
	# Check if we include the RFCs, Internet-Drafts, or upstream schemas
	# with RFC text (which are non DFSG-free).  You can set DFSG_NONFREE
	# to build the packages from the unchanged upstream sources but Debian
	# can not ship the RFCs in main so this test is here to make sure it
	# does not get in by accident again. -- Torsten
	if [ -z "$(DFSG_NONFREE)" ]; then \
	    if [ -e doc/drafts ] || [ -e doc/rfc ]; then exit 1; fi; \
	    if [ -e servers/slapd/schema/core.schema ] \
	       && grep -q 'RFC 4519 definition' servers/slapd/schema/core.schema; \
	    then \
		exit 1; \
	    fi; \
	fi

	# Copy our stripped schema versions into where upstream expects them.
	if [ -z "$(DFSG_NONFREE)" ]; then \
		cp debian/schema/*.schema debian/schema/*.ldif \
			servers/slapd/schema/; \
	fi

	dh_auto_configure -- $(CONFIG)

override_dh_auto_build-arch:
# slapdS.c is generated by libtool without using ${CPPFLAGS}
	@echo 'blhc: ignore-line-regexp: .*"slapdS\.c".*'
# servers/slapd/Makefile.in uses `$(AR) ruv libbackends.a *.o' construct,
# and *.o sort is locale-dependent. LC_ALL=C makes the build reproducible.
	LC_ALL=C \
		dh_auto_build
ifeq (${noslapd},)
	# passwd/sha2 needs special handling, see #1030716 and LP: #2000817
	for mod in $(CONTRIB_MODULES); do \
		if [ "$$mod" = "passwd/sha2" ]; then \
			EXTRA_OPT="-fno-strict-aliasing"; \
		else \
			EXTRA_OPT=""; \
		fi; \
		dh_auto_build -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod -- $(CONTRIB_MAKEVARS) OPT+=$$EXTRA_OPT || exit $$?; \
	done
endif

override_dh_auto_install-arch:
# systemdsystemunitdir: we ship our own systemd unit
	dh_auto_install -- STRIP_OPTS= systemdsystemunitdir=
ifeq (${noslapd},)
	for mod in $(CONTRIB_MODULES); do \
		dh_auto_install -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod -- $(CONTRIB_MAKEVARS) || exit $$?; \
	done

	# Empty the dependency_libs file in the .la files.
	for F in $(installdir)/usr/lib/ldap/*.la; do \
		sed -i "s/^dependency_libs=.*/dependency_libs=''/" $$F; \
	done
endif
	
	# Check all built libraries for unresolved symbols except for the
	# libslapi library.  It is a special case since the SLAPI interface
	# depends on symbols defined in slapd itself.  Those symbols will
	# remain unresolved until the plugin is loaded into slapd.
	for F in $(installdir)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.*.*.*; do \
	    if echo "$$F" | grep -q libslapi ; then \
	        continue; \
	    fi; \
	    if LD_LIBRARY_PATH=$(installdir)/usr/lib/$(DEB_HOST_MULTIARCH) ldd -d -r $$F 2>&1 | grep '^undefined symbol:'; then \
	        echo; \
	        echo "library $$F has undefined references.  Please fix this before continuing."; \
		exit 1; \
	    fi; \
	done

	# Upstream manpages are section 8C but installed as section 8
	find $(installdir)/usr/share/man -name \*.8 \
		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'

# for indep, we only need the ldap.conf.5 manpage
override_dh_auto_build-indep:
	$(MAKE) -C ${builddir}/doc/man/man5
override_dh_auto_test-indep:
override_dh_auto_install-indep:
	install -Dm0644 ${builddir}/doc/man/man5/ldap.conf.5.tmp \
	    ${installdir}/usr/share/man/man5/ldap.conf.5

ifeq (${noslapd},)
	# install AppArmor profile
	install -D -m 644 $(CURDIR)/debian/apparmor-profile \
	    $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
	dh_apparmor -pslapd --profile-name=usr.sbin.slapd

	# install Apport hook
	install -D -m 644 $(CURDIR)/debian/slapd.py $(CURDIR)/debian/slapd/usr/share/apport/package-hooks/slapd.py

	# install ufw profile
	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile \
	    $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd
endif

override_dh_auto_build: override_dh_auto_build-arch

override_dh_installinit:
	dh_installinit --no-restart-after-upgrade --error-handler=ignore_init_failure -- "defaults 19 80"

override_dh_strip:
	dh_strip
ifeq (${noslapd},)
	# hardlink these so not confined by apparmor; do this here and not
	# in dh_link so that dh_strip doesn't get confused and put the wrong
	# binary in the debug package.
	for f in slapacl slapadd slapauth slapcat slapdn slapindex slapmodify slappasswd slapschema slaptest; do \
	    ln -f $(slapddir)/slapd $(slapddir)/$$f ; \
	done
endif

override_dh_makeshlibs:
ifeq (${noslapd},)
	echo "slapd:Provides=$$(objdump -p debian/slapd/usr/lib/$(DEB_HOST_MULTIARCH)/libslapi-*.so.* \
		| sed -ne '/SONAME/ { s/[[:space:]]*SONAME[[:space:]]*//; \
		                      s/\.so\./-/; p; q }' \
	)" >> debian/slapd.substvars
	dh_makeshlibs -pslapd -X/usr/lib/ldap/ -V "$$(sed -ne's/slapd:Provides=//p' debian/slapd.substvars)"
endif
	dh_makeshlibs --remaining-packages

override_dh_installdeb:
	dh_installdeb
ifeq (${noslapd},)
	perl -w debian/dh_installscripts-common -p slapd
endif

override_dh_auto_clean:
	dh_auto_clean
	# Update translation templates for debconf
	debconf-updatepo
ifeq (${noslapd},)
	# Remove our stripped schema from the upstream source area.
	if [ -z "$(DFSG_NONFREE)" ]; then \
	    set -e; for s in debian/schema/*.schema debian/schema/*.ldif; do \
	        rm -f servers/slapd/schema/`basename $$s`; \
	    done; \
	fi

	# Clean the contrib directory
	for mod in $(CONTRIB_MODULES); do \
		dh_auto_clean -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod || exit $$?; \
	done
endif

## openldap 2.6.10%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,8 @@
 
 export DEB_CFLAGS_MAINT_APPEND := -Wall -D_GNU_SOURCE -Wno-unused-const-variable
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all future=+lfs
-DPKG_EXPORT_BUILD_TOOLS=1
 
 include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/buildtools.mk
 include /usr/share/dpkg/pkg-info.mk
 
 # Set this variable if you're building packages outside of Debian and don't
@@ -30,6 +28,9 @@
 endif
 ifneq (${noslapd},)
 	CONFIG += --disable-slapd
+endif
+ifneq ($(filter cross,$(DEB_BUILD_PROFILES)),)
+	CONFIG += --with-yielding-select=yes ac_cv_func_memcmp_working=yes
 endif
 
 CONTRIB_MODULES = autogroup lastbind passwd passwd/pbkdf2 passwd/sha2 ppm smbk5pwd
@@ -96,6 +97,11 @@
 	done
 endif
 
+override_dh_auto_test-arch:
+	# Disable certain timing-sensitive tests which can be flaky on buildds (#1010608)
+	rm -f tests/scripts/test063-delta-multiprovider tests/scripts/test069-delta-multiprovider-starttls
+	dh_auto_test
+
 override_dh_auto_install-arch:
 # systemdsystemunitdir: we ship our own systemd unit
 	dh_auto_install -- STRIP_OPTS= systemdsystemunitdir=
@@ -108,8 +114,13 @@
 	for F in $(installdir)/usr/lib/ldap/*.la; do \
 		sed -i "s/^dependency_libs=.*/dependency_libs=''/" $$F; \
 	done
-endif
-	
+
+	# install AppArmor profile
+	install -D -m 644 $(CURDIR)/debian/apparmor-profile \
+	    $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
+	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
+endif
+
 	# Check all built libraries for unresolved symbols except for the
 	# libslapi library.  It is a special case since the SLAPI interface
 	# depends on symbols defined in slapd itself.  Those symbols will
@@ -138,11 +149,6 @@
 	    ${installdir}/usr/share/man/man5/ldap.conf.5
 
 ifeq (${noslapd},)
-	# install AppArmor profile
-	install -D -m 644 $(CURDIR)/debian/apparmor-profile \
-	    $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
-	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
-
 	# install Apport hook
 	install -D -m 644 $(CURDIR)/debian/slapd.py $(CURDIR)/debian/slapd/usr/share/apport/package-hooks/slapd.py
 
@@ -150,8 +156,6 @@
 	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile \
 	    $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd
 endif
-
-override_dh_auto_build: override_dh_auto_build-arch
 
 override_dh_installinit:
 	dh_installinit --no-restart-after-upgrade --error-handler=ignore_init_failure -- "defaults 19 80"
